MemManager.h File Reference
`#include <cstddef>`

Go to the source code of this file.

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

uint32_t | grk::grk_make_aligned_width (uint32_t width)
void * | grk::grk_malloc (size_t size)
| Allocate an uninitialized memory block.
void * | grk::grk_calloc (size_t numOfElements, size_t sizeOfElements)
| Allocate a memory block with elements initialized to 0.
void * | grk::grk_aligned_malloc (size_t size)
| Allocate memory aligned to a 16 byte boundary.
void | grk::grk_aligned_free (void *ptr)
void * | grk::grk_realloc (void *m, size_t s)
| Reallocate memory blocks.
void | grk::grk_free (void *m)
| Deallocates or frees a memory block.